---
name: Jay Jewell
locality: Massachusetts
country: USA
role: <a href="/job-families/sales/public-sector-inside-sales/">Public Sector Inside
  Sales Representative</a>
reports_to: brent-c
picture: "../gitlab-logo-extra-whitespace.png"
twitter: 
gitlab: Jewell
departments:
- Sales
- Public Sector
story: 'Joined June 4th

'
